KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. voice
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
    • Get Lyrics Task Details
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
    • Get Vocal Separation Details
    • Generate MIDI from Audio
    • Get MIDI Generation Details
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
      POST
    • Suno Voice Get Verification Phrase API
      GET
    • Suno Voice Create Custom Voice API
      POST
    • Suno Voice Get Custom Voice Records
      GET
    • Suno Voice Regenerate Verification Phrase
      POST
    • Suno Voice Check Availability API
      POST
  1. voice

Suno Voice Get Custom Voice Records

GET
/api/v1/voice/record-info
Query the custom Suno Voice generation result.
Use this endpoint with the taskId returned by the voice generation endpoint. When the task succeeds, the response contains voiceId, which can be used as the custom voice identifier in supported generation APIs.

Status Handling#

Check the status field to determine the next action:
wait_processing, processing_validate, or wait_validating: the task is still being processed
success: the voice is ready, use voiceId for future generation requests
processing_validate_fail or fail: the task failed, check errorMessage for details

Voice Availability#

After receiving a voiceId, you can use the voice availability endpoint to confirm whether the generated voice can be used:
Check Voice Availability
Check whether the custom voice generated by the task is available
Related resources
Generate Voice
Submit verification audio and create a custom voice
General API
View account credits and usage

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/voice/record-info?taskId=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "xxx_task_id_xxx",
        "voiceId": "xxx",
        "status": "wait_processing, processing_validate: waiting for validation code, processing_validate_fail: failed to obtain validation code, wait_validating: waiting for verification, success, fail",
        "errorCode": 500,
        "errorMessage": "xxxxx"
    }
}
Previous
Suno Voice Create Custom Voice API
Next
Suno Voice Regenerate Verification Phrase
Built with